
name: backup_storage

services:
  docker_config:
    image: registry.vbchaos.nl/rclone
    container_name: backup_docker_config 
    environment:
      - COMMAND=rclone copy -v /backup/ stackstorage:/julien/storage/docker_config
      - CRON_SCHEDULE=0 1-23/4 * * *
    volumes:
      - ${PWD}/rclone.conf:/root/.config/rclone/rclone.conf
      - /srv/dev-disk-by-uuid-17e88007-4d0c-45e0-8757-cacfcc458630/docker_config:/backup

  bands:
    image: registry.vbchaos.nl/rclone
    container_name: backup_bands
    environment:
      - COMMAND=rclone copy -v /backup/ stackstorage:/julien/storage/bands
      - CRON_SCHEDULE=0 1-23/4 * * *
    volumes:
      - ${PWD}/rclone.conf:/root/.config/rclone/rclone.conf
      - /srv/dev-disk-by-uuid-17e88007-4d0c-45e0-8757-cacfcc458630/bands:/backup

  hwsw:
    image: registry.vbchaos.nl/rclone
    container_name: backup_hwsw
    environment:
      - COMMAND=rclone copy -v /backup/ stackstorage:/julien/storage/hwsw
      - CRON_SCHEDULE=0 1-23/4 * * *
    volumes:
      - ${PWD}/rclone.conf:/root/.config/rclone/rclone.conf
      - /srv/dev-disk-by-uuid-17e88007-4d0c-45e0-8757-cacfcc458630/hwsw:/backup

  music:
    image: registry.vbchaos.nl/rclone
    container_name: bs_music
    environment:
      - COMMAND=rclone copy -v /backup/ stackstorage:/julien/storage/music
      - CRON_SCHEDULE=0 2-23/4 * * *
    volumes:
      - ${PWD}/rclone.conf:/root/.config/rclone/rclone.conf
      - /srv/dev-disk-by-uuid-17e88007-4d0c-45e0-8757-cacfcc458630/music:/backup

  pictures:
    image: registry.vbchaos.nl/rclone
    container_name: backup_pictures
    environment:
      - COMMAND=rclone copy -v /backup/ stackstorage:/julien/storage/pictures
      - CRON_SCHEDULE=0 2-23/4 * * *
    volumes:
      - ${PWD}/rclone.conf:/root/.config/rclone/rclone.conf
      - /srv/dev-disk-by-uuid-17e88007-4d0c-45e0-8757-cacfcc458630/pictures:/backup

  repositories:
    image: registry.vbchaos.nl/rclone
    container_name: backup_repositories
    environment:
      - COMMAND=rclone copy -v /backup/ stackstorage:/julien/storage/repositories
      - CRON_SCHEDULE=0 2-23/4 * * *
    volumes:
      - ${PWD}/rclone.conf:/root/.config/rclone/rclone.conf
      - /srv/dev-disk-by-uuid-17e88007-4d0c-45e0-8757-cacfcc458630/repositories:/backup

  video:
    image: registry.vbchaos.nl/rclone
    container_name: backup_video
    environment:
      - COMMAND=rclone copy -v /backup/ stackstorage:/julien/storage/video
      - CRON_SCHEDULE=0 2-23/4 * * *
    volumes:
      - ${PWD}/rclone.conf:/root/.config/rclone/rclone.conf
      - /srv/dev-disk-by-uuid-17e88007-4d0c-45e0-8757-cacfcc458630/video:/backup

  work:
    image: registry.vbchaos.nl/rclone
    container_name: backup_work
    environment:
      - COMMAND=rclone copy -v /backup/ stackstorage:/julien/storage/work
      - CRON_SCHEDULE=0 2-23/4 * * *
    volumes:
      - ${PWD}/rclone.conf:/root/.config/rclone/rclone.conf
      - /srv/dev-disk-by-uuid-17e88007-4d0c-45e0-8757-cacfcc458630/work:/backup

  timelapse:
    image: registry.vbchaos.nl/rclone
    container_name: backup_timelapse
    environment:
      - COMMAND=rclone copy -v /backup/ stackstorage:/julien/storage/timelapse
      - CRON_SCHEDULE=0 0 * * *
    volumes:
      - ${PWD}/rclone.conf:/root/.config/rclone/rclone.conf
      - /srv/dev-disk-by-uuid-17e88007-4d0c-45e0-8757-cacfcc458630/timelapse:/backup

